Basic Lead Enhancement

Enrichment of the contact information - phone numbers and email addresses - of the person whose details were entered in the body of the request.

POST /v1/LeadGeneration/BasicLeadEnhancement

Parameters

NameInTypeRequiredDescription
maxEmailsPhonesCountqueryinteger / int32optionalThe maximum number of items to return for each of the means - phone numbers and email addresses.
traceIdquerystringoptionalA string provided by a programmer and echoed back unchanged in the response, designed to facilitate easier tracking of requests and responses.

Request body

NameTypeRequiredDescription
firstNamestringRequired
lastNamestringRequired
addressLine1stringRequired
citystringRequired
statestringRequired
postalCodestringRequired
optional (1)
NameTypeRequiredDescription
middleNamestringoptional

Code sample language

curl -X POST "{{API.SANDBOX_BASE_URL}}/LeadGeneration/BasicLeadEnhancement" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "firstName": "string",
  "middleName": "string",
  "lastName": "string",
  "addressLine1": "string",
  "city": "string",
  "state": "string",
  "postalCode": "string"
}'

Responses

200OK